#!/bin/bash

set -o errexit


VERSION=$1
TAG="v$VERSION"

DIRNAME="grammalecte-$VERSION"
SRC_TARBALL="$DIRNAME.tar.xz"

declare -a UNVERSIONED_FILES=(
    "stats_frwiki.txt"
    "stats_frwikisource.txt"
    "stats_google_ngram_1.txt"
    "stats_litterature.txt"
)

# http://code.grammalecte.net:8080/wiki?name=How+to+clone+this+repository
fossil clone -u http://code.grammalecte.net:8080 grammalecte.fossil
fossil open --workdir "$DIRNAME" grammalecte.fossil
pushd "$DIRNAME"
fossil checkout "$TAG"
pushd "gc_lang/fr/dictionnaire/lexique/corpus_data/"
for i in "${UNVERSIONED_FILES[@]}"; do
    fossil uv export "$i" "$i"
done
popd
popd
rm "$DIRNAME/.fslckout"

tar -cJf "$SRC_TARBALL" "$DIRNAME"
rm -r "$DIRNAME" grammalecte.fossil
